=== docs/docbook-cheat-sheet/Makefile ===
TOP = ../..
include $(TOP)/mk/boilerplate.mk

XML_DOC = docbook-cheat-sheet
INSTALL_XML_DOC = docbook-cheat-sheet

include $(TOP)/mk/bindist.mk

include $(TOP)/mk/target.mk
