=== utils/ltx/Makefile ===
TOP=../..
include $(TOP)/mk/boilerplate.mk

SCRIPT_PROG=ltx
SCRIPT_OBJS=ltx.prl
SCRIPT_SUBST_VARS=DEFAULT_TMPDIR CONTEXT_DIFF

INTERP=perl
DESTDIR=$(INSTSCRIPTDIR)
CLEAN_FILES += $(SCRIPT_PROG)

include $(TOP)/mk/target.mk
