=== debian/changelog ===
ghc (7.4.1-4) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * Add debian/patches/fix-PPC-right-shift-bug which fixes upstream GHC bug:
    http://hackage.haskell.org/trac/ghc/ticket/6156 (Closes: #677591)
  * Refresh other patches.
  * debian/contol: Add myself to uploaders and set DM-Upload-Allowed to yes.

  [ Joachim Breitner ]
  * debian/patches/no-useless-timer: Backported from GHC 7.4.2, (Closes:
    #677096)
  * Make sure GHC is using ld.bfd, as it passes arguments not understood by
    the gold linker (Closes: #673081) 
  * Use a saner priority for the runhaskell alternative. (Closes: #676970).
    TODO for later: Consider removing the alternatives code altogether.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 16 Jun 2012 12:48:18 +0200

ghc (7.4.1-3) unstable; urgency=low

  * Remove the ghc-doc symlink logic from 7.0.4-3, as with 7.4.1, every
    documentation package had to be rebuit.
  * ghc-doc: Conflict on libghc-haddock-doc, as it contains files that moved
    into ghc-doc. (Closes: #659081)
  * Added debian/patches/memcpy-ffi.patch, backported from upstream master
    branch. See http://hackage.haskell.org/trac/ghc/ticket/5967.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 06 May 2012 21:51:17 +0200

ghc (7.4.1-2) unstable; urgency=low

  [ Iain Lane ]

  * Two new patches (backported by Iulian Udrea) to fix armel build
    failures. See upstream bug #5824.
    - fix-ARM-s-StgCRun-clobbered-register-list-for-both-A
    - fix-ARM-StgCRun-to-not-save-and-restore-r11-fp-regis
  * Use dh_autoreconf{,_clean} to autoreconf, mainly so we can have proper
    clean support.
  * armhf support (thanks to Jani Monoses):
    - debian/patches/ARM-VFPv3D16: Use vfp3-d16 FPU for ARM builds.
    - debian/patches/armhf_llvm_abi: Pass -float-abi=hard to llc on armhf if
      __ARM_PCS_VFP is defined (needs to be preprocessed for this)
    - debian/rules: Define __ARM_PCS_VFP on armhf for the above patch.

  [ Joachim Breitner]

  * patches/hurd-is-ELF added, Closes: #659530, thanks to Samuel
    Thibault
  * Also conflict with any provided libghc-*-dev packages. Thus, if a packages
    is moved _into_ ghc that was outside before, no external package can be
    installed (as was the case with binary).
  * patches/no-missing-haddock-file-warning: Quench warning, as it is quite
    common on Debian installations.
  * build-depends-indep on hscolour and fop, to ensure most documentation is
    built.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 10 Mar 2012 19:32:34 +0100

ghc (7.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 03 Feb 2012 16:27:31 +0100
