## ghc 7.4.2

=== debian/changelog ===
ghc (7.4.2-2) experimental; urgency=low

  [ Erik de Castro Lopo ]
  * Add patch to fix GHCi segfault on startup on PowerPC (Closes: #631073).
  * Remove patch no_ghci_on_powerpc.

  [ Iain Lane ]
  * Update Vcs-* to point to experimental branch

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon,  6 Aug 2012 20:19:46 +1000

ghc (7.4.2-1) experimental; urgency=low

  * New upstream.
  * debian/patches/series
    - Remove patch fix-ARM-s-StgCRun-clobbered-register-list-for-both-A,
      fix-ARM-StgCRun-to-not-save-and-restore-r11-fp-regis and memcpy-ffi.patch
      (in upstream).
    - Refresh other patches.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 11 Jun 2012 15:21:26 +1000
