=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: haskell
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>,
- Erik de Castro Lopo <erikd@mega-nerd.com>
-DM-Upload-Allowed: yes
+Uploaders: Joachim Breitner <nomeata@debian.org>
 Standards-Version: 3.9.2
 Build-Depends:
   debhelper (>= 7),
@@ -28,8 +26,8 @@
 Build-Conflicts:
   ccache
 Homepage: http://haskell.org/ghc/
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/ghc
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/ghc
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/experimental/ghc
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/experimental/ghc
 
 Package: ghc
 Architecture: any
