=== debian/rules ===
--- 
+++ 
@@ -88,9 +88,7 @@
 	rm -f config.guess
 	ln -s /usr/share/misc/config.sub .
 	ln -s /usr/share/misc/config.guess .
-	./configure $(confflags) --prefix=/usr \
-		$(EXTRA_CONFIGURE_FLAGS) \
-		--with-ld=ld.bfd
+	./configure $(confflags) --prefix=/usr $(EXTRA_CONFIGURE_FLAGS)
 
 	touch $@
