## ghc 7.6.2

=== debian/changelog ===
ghc (7.6.2-1ubuntu1) raring; urgency=low

  * Disable GHCi on armhf for now; it is too badly broken.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Apr 2013 10:22:33 +0100

ghc (7.6.2-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 29 Jan 2013 21:16:52 +0100

ghc (7.6.1.20121207-2) experimental; urgency=low

  * Typo in ghc-haddock’s Provides, thanks to David Fox for noticing. 

 -- Joachim Breitner <nomeata@debian.org>  Thu, 13 Dec 2012 18:33:48 +0100

ghc (7.6.1.20121207-1) experimental; urgency=low

  * New upstream release (aka 7.6.1-rc).
    + Closes: #677096 (huge number of wakeups)
  * Remove debian/patches/armhf_llvm_abi, applied upstream, thanks to Shawn
    Landden for noticing (Closes: #695739)
  * Hardcode in debian/rules that haddock supportin interface version 22 also
    supports interface version 21.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 12 Dec 2012 12:32:48 +0100

ghc (7.6.1-3) experimental; urgency=low

  * Bump standards version, no change
  * Change VCS fields back to regular repo 
  * Build the runtime also in the thr_debug_p way, suggestion by Michał J.
    Gajda

 -- Joachim Breitner <nomeata@debian.org>  Tue, 04 Dec 2012 22:00:27 +0100

ghc (7.6.1-2) experimental; urgency=low

  * Do not Provide transformers, it is only used internally.
  * Ensure this is not used with unstable’s haskell-devscripts 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Oct 2012 22:41:46 +0200

ghc (7.6.1-1) experimental; urgency=low

  * New upstream release 
    Dropped patches, applied upstream:
     + Fix-GHCi-segfault-on-linux-powerpc
     + hurd-is-ELF
     + use-llvm-3.0
     + memcpy-ffi
     + fix-PPC-right-shift-bug
     + no-useless-time
     + fix-ppc-ghci-segfault
  * Configure the use of llc-3.0 and opt-3.0 via ./configure 
  * Bump standards version

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Oct 2012 15:48:21 +0200
