=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: ghc
 Section: haskell
 Priority: extra
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: Joachim Breitner <nomeata@debian.org>,
+ Erik de Castro Lopo <erikd@mega-nerd.com>
+DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Build-Depends:
   debhelper (>= 7),
   libgmp-dev,
@@ -26,8 +29,8 @@
 Build-Conflicts:
   ccache
 Homepage: http://haskell.org/ghc/
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/experimental/ghc
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/experimental/ghc
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/ghc
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/ghc
 
 Package: ghc
 Architecture: any
@@ -35,7 +38,7 @@
 Provides: haskell-compiler, ${provided-devs}, ${haskell:Provides}, ${ghci}
 Replaces: ghc6 (<< 7)
 Conflicts: ghc6 (<< 7), ${provided-devs}
-Breaks: cabal-install (<< 0.8.0), haskell-devscripts (<< 0.6.19), ghc-doc (<= 6.12.1-8)
+Breaks: cabal-install (<< 0.8.0), haskell-devscripts (<< 0.8.13), ghc-doc (<= 6.12.1-8)
 Suggests: perl, ghc-prof, ghc-doc, haskell-doc, llvm-3.0
 Description: The Glasgow Haskell Compilation system
  The Glorious Glasgow Haskell Compilation system (GHC) is a compiler for
