=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 GHC=$(firstword $(shell bash -c "type -p ghc"))
 EXTRA_CONFIGURE_FLAGS=--with-ghc="$(GHC)"
 BUILD_HADDOCK_DOCS=YES
+DEB_HOOGLE_TXT_DIR = /usr/lib/ghc-doc/hoogle/
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -71,6 +72,15 @@
 	# echo "GhcLibHcOpts  += -O0" >> mk/build.mk
 	echo "GhcRtsCcOpts  += -O0" >> mk/build.mk
 endif
+	# We also want to build the threaded profiling-enabled debug runtime,
+	# because it does no harm
+	echo 'GhcRTSWays += $$(if $$(findstring p, $$(GhcLibWays)),thr_debug_p,)' >> mk/build.mk
+ifneq (,$(findstring $(DEB_HOST_ARCH),armel armhf))
+	# GHCi is too badly broken on ARM; see
+	# http://hackage.haskell.org/trac/ghc/ticket/7794
+	echo "GhcWithInterpreter = NO" >> mk/build.mk
+endif
+	
 	# We can't do this with a configure flag in 6.8.1 as libdir is not
 	# defined at the point at which we := it
 	echo 'ghclibdir := $${libdir}/ghc' >> mk/build.mk
@@ -88,7 +98,11 @@
 	rm -f config.guess
 	ln -s /usr/share/misc/config.sub .
 	ln -s /usr/share/misc/config.guess .
-	./configure $(confflags) --prefix=/usr $(EXTRA_CONFIGURE_FLAGS)
+	./configure $(confflags) --prefix=/usr \
+		$(EXTRA_CONFIGURE_FLAGS) \
+		--with-ld=ld.bfd \
+		--with-llc=llc-3.0 \
+		--with-opt=opt-3.0
 
 	touch $@
 
@@ -179,17 +193,7 @@
 
 	# Add haddock substvars
 	echo "haddock:Depends=haddock-interface-$$(debian/tmp/usr/bin/haddock --interface-version)" >> debian/ghc-doc.substvars
-	echo "haddock:Provides=haddock-interface-$$(debian/tmp/usr/bin/haddock --interface-version)" >> debian/ghc-haddock.substvars
-
-ifeq (YES,$(BUILD_HADDOCK_DOCS))
-	mkdir -p debian/tmp/usr/lib/ghc-doc
-	cp debian/gen_contents_index debian/tmp/usr/lib/ghc-doc/
-	chmod +x debian/tmp/usr/lib/ghc-doc/gen_contents_index
-	mkdir debian/tmp/usr/lib/ghc-doc/haddock/
-	for f in `find debian/tmp/usr/share/doc/ghc-doc/html/libraries/ -maxdepth 1 -mindepth 1 -type d`; do \
-	    mkdir debian/tmp/usr/lib/ghc-doc/haddock/`basename $$f` ; \
-	    mv $$f/*.haddock debian/tmp/usr/lib/ghc-doc/haddock/`basename $$f` ; done
-	cd debian/tmp/usr/share/doc/ghc-doc/html/libraries/; ln -s ghc-$(ProjectVersion) ghc
-	install -Dm 644 debian/index.html debian/tmp/usr/share/doc/ghc-doc/index.html
-endif
-
+	# Hardcode that 22 supports 21, until http://trac.haskell.org/haddock/ticket/231 is fixed
+	if [ $$(debian/tmp/usr/bin/haddock --interface-version) -eq 22 ] ; then \
+	    echo "haddock:Provides=haddock-interface-21, haddock-interface-22" >> debian/ghc-haddock.substvars; \
+	    else \
